Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP

Loading…

Fix CoffeeScript 1.2.0 incompatibility issues #62

Merged
merged 1 commit into from

2 participants

@bilts

Fixes require order in play.coffee and bad indentation.

Re-sending request since I accidentally sent the original request from my master branch.

Issue #56

@rspeer rspeer merged commit c4e034b into from
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Commits on Jan 14, 2012
  1. @bilts

    Fix CoffeeScript 1.2.0 incompatibility issues: improper indentation a…

    bilts authored
    …nd require order in play.coffee.
    
    Issue #56
This page is out of date. Refresh to see the latest.
Showing with 2 additions and 2 deletions.
  1. +1 −1  basicAI.coffee
  2. +1 −1  play.coffee
View
2  basicAI.coffee
@@ -435,7 +435,7 @@ class BasicAI
"Treasure Map"
"Ambassador"
"Throne Room"
- ]
+ ]
# `multipliedActionPriority` is similar to `actionPriority`, but is used when
# we have played a Throne Room or King's Court.
View
2  play.coffee
@@ -3,8 +3,8 @@
# This is the script that you can run at the command line to see how
# strategies play against each other.
-{State,tableaux} = require './gameState'
{BasicAI} = require './basicAI'
+{State,tableaux} = require './gameState'
fs = require 'fs'
coffee = require 'coffee-script'
Something went wrong with that request. Please try again.